# Resource (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth.password
Class Resource<H>

    java.lang.Object
      net.schmizz.sshj.userauth.password.Resource<H>

Direct Known Subclasses:
  AccountResource, PrivateKeyFileResource

    public abstract class Resource<H>

extends Object

A password-protected resource

Constructor Summary
`Resource(H handle)`

Method Summary
`boolean` `equals(Object o)`
`H` `getDetail()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Resource

    public Resource(H handle)

Method Detail

### getDetail

    public H getDetail()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2011. All Rights Reserved.